cURL
curl --request PUT \ --url https://api.sumvin.com/v0/user/ipa/{ipa_id}/decision \ --header 'Content-Type: application/json' \ --data ' { "decision": "approved", "conditions": [ { "operator": "lte", "target_price": 123, "type": "price_target", "currency": "USD" } ], "monitor_until": 123 } '
{ "_links": {}, "intent": { "id": "<string>", "intent_type": "product", "status": "qualifying", "autonomy_level": "supervised", "created_at": 123, "raw_intent": "<string>", "specification": "<string>", "constraints": { "max_price": 123, "max_total": 123, "currency": "<string>", "deadline": 123, "preferred_sellers": [ "<string>" ], "excluded_sellers": [ "<string>" ], "extra": {} }, "preflight_workflow_id": "<string>", "conditions": [ { "operator": "lte", "target_price": "<string>", "type": "price_target", "currency": "USD" } ], "monitor_until": 123, "clarification_questions": [ "<string>" ], "failure_reason": "<string>", "pint_uris": [ "<string>" ], "updated_at": 123, "completed_at": 123, "originating_agent_task": { "id": "<string>", "status": "<string>", "trigger_type": "<string>", "created_at": 123, "workflow_run_id": "<string>", "task": "<string>", "title": "<string>", "started_at": 123, "completed_at": 123 }, "executing_agent_task": { "id": "<string>", "status": "<string>", "trigger_type": "<string>", "created_at": 123, "workflow_run_id": "<string>", "task": "<string>", "title": "<string>", "started_at": 123, "completed_at": 123 }, "candidates": [ { "id": "<string>", "offer_id": "<string>", "status": "<string>", "created_at": 123, "rank": 123, "score": 123, "rejection_reason": "<string>" } ], "manifests": [ { "id": "<string>", "status": "<string>", "items": [ { "offer_id": "<string>", "quantity": 123, "unit_price_amount": "<string>", "unit_price_asset": "<string>" } ], "created_at": 123, "total_amount": "<string>", "total_asset": "<string>", "approved_at": 123, "purchased_at": 123 } ], "events": [ { "id": "<string>", "event_type": "ipa.status_change", "created_at": 123, "payload": "<string>" } ] } }
Tenant org ID for multi-tenant auth
approved
rejected
conditional
Auto-execute when the lowest offer price satisfies a comparison against a target.
Show child attributes
Approval decision submitted
HAL-style hypermedia links for navigation and available actions.